Bug 1461170 - Valid SCVMM file share not showing up as datastore on host.
Summary: Valid SCVMM file share not showing up as datastore on host.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: GA
: 5.7.3
Assignee: Daniel Berger
QA Contact: Jeff Teehan
URL:
Whiteboard: provider:scvmm:datastore
Depends On: 1454963
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-13 17:34 UTC by Satoe Imaishi
Modified: 2020-07-16 09:49 UTC (History)
14 users (show)

Fixed In Version: 5.7.3.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1454963
Environment:
Last Closed: 2017-06-28 15:04:49 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 5 Jeff Teehan 2017-06-15 21:41:28 UTC
I setup everything as described.  Template stored on a FileShare drive inside the library.  It does show None in most relationships, the problem is I see the exact same thing on every Template, win or lin, on 5.7.2, 5.7.3, 5.8.0, etc.  Get-SCVMTemplate retrieves everything from the library and where it is stored isn't defined in the template itself as near as I can tell.

Is it not deploying as expected?  Or is the presence of these fields just confusing the matter?

If you run Get-SCVMTemplate -Name <template_name> I don't see anything to indicate where it is stored but it could be buried in there somewhere.

Comment 6 Jeff Teehan 2017-06-23 17:42:19 UTC
I've since confirmed we are definitely going something different that needs to be evaluated.

I got a response via email from Jeff Cutter as follows:

"We have been able to formulate a work around running some PowerShell commands against SCVMM post provision to get the network working.  I will get those for you to share tomorrow hopefully.

I'm still thinking something CF is doing maybe at least needs to be optional since it seems to work as expected through SCVMM."

Comment 7 Jeffrey Cutter 2017-06-23 20:54:05 UTC
(In reply to Jeff Teehan from comment #6)
> I've since confirmed we are definitely going something different that needs
> to be evaluated.
> 
> I got a response via email from Jeff Cutter as follows:
> 
> "We have been able to formulate a work around running some PowerShell
> commands against SCVMM post provision to get the network working.  I will
> get those for you to share tomorrow hopefully.
> 
> I'm still thinking something CF is doing maybe at least needs to be optional
> since it seems to work as expected through SCVMM."

The work around referenced is in response to a different issue (1463019) not this one.

Comment 8 Jeff Teehan 2017-06-24 03:30:54 UTC
Right.  That second issues originally spawn out of the hotfix for this one.  I was updating both at the same time.

For this:

All checks have been reconfirmed with 5.7.3.02 same tests as with customer who also confirmed the changes.  This is working.

Not only do the FileShares in datastore get displayed but I provisioned a VM to the FileShare as well and manually checked the locations of all files.

Moving to verified.

Comment 10 errata-xmlrpc 2017-06-28 15:04:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.